import QtQuick 2.9
import MuseScore 3.0
MuseScore {
  menuPath: "Plugins.Unmute"
  version: "220829"
  onRun:{
    var ps=[]
    var es=curScore.selection.elements
    for (var i = 0; i < es.length; i++){
      var cp=es[i].staff.part //Note Chord Segment, inheriting Element
      if(cp && ps.filter(function _(p){return cp.is(p)}).length==0) ps.push(cp)
    }
    for (var i = 0; i < ps.length; i++) {
      var instrs = ps[i].instruments
      for (var j = 0; j < instrs.length; j++) {
        var channels = instrs[j].channels
        for (var k = 0; k < channels.length; k++) {
          channels[k].mute = false
        }
      }
    }
  }
}